Subject: bug#59208: 29.0.50; tab-bar-auto-width plus display space cpu spin

From: Juri Linkov <[email-masked]>
Date: Sun, 13 Nov 2022 20:17:15 +0200

close 59208 29.0.50
thanks

> I should note that my actual tab function has text as well (the tab
> name) and then I add a space at the end.  The spaces are just visual
> padding.

I didn't try with text, I tried only with spaces as in your test case:

>         (defun aj/tab-bar-tab-name-format (tab i)
>         (propertize
>         (propertize " " 'display '(space :width (8)))
>         'face (funcall tab-bar-tab-face-function tab)))

But I believe that all cases should be fixed now
by the commit 443bd35e86.